org.apache.flume.channel.file.encryption

## Class AESCTRNoPaddingProvider.DecryptorBuilder

- java.lang.Object
- - org.apache.flume.channel.file.encryption.CipherProvider.Decryptor.Builder<org.apache.flume.channel.file.encryption.AESCTRNoPaddingProvider.AESCTRNoPaddingDecryptor>
  - - org.apache.flume.channel.file.encryption.AESCTRNoPaddingProvider.DecryptorBuilder

- Enclosing class:
    AESCTRNoPaddingProvider

      public static class AESCTRNoPaddingProvider.DecryptorBuilder
      extends CipherProvider.Decryptor.Builder<org.apache.flume.channel.file.encryption.AESCTRNoPaddingProvider.AESCTRNoPaddingDecryptor>

- - ### Field Summary

    - ### Fields inherited from class org.apache.flume.channel.file.encryption.CipherProvider.Decryptor.Builder

      `key, parameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AESCTRNoPaddingProvider.DecryptorBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.flume.channel.file.encryption.AESCTRNoPaddingProvider.AESCTRNoPaddingDecryptor` | `build()`

    - ### Methods inherited from class org.apache.flume.channel.file.encryption.CipherProvider.Decryptor.Builder

      `setKey, setParameters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AESCTRNoPaddingProvider.DecryptorBuilder

          public AESCTRNoPaddingProvider.DecryptorBuilder()

  - ### Method Detail

    - #### build

          public org.apache.flume.channel.file.encryption.AESCTRNoPaddingProvider.AESCTRNoPaddingDecryptor build()

      Specified by:
        `build` in class `CipherProvider.Decryptor.Builder<org.apache.flume.channel.file.encryption.AESCTRNoPaddingProvider.AESCTRNoPaddingDecryptor>`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.